{
  "db_name": "PostgreSQL",
  "query": "\n                SELECT id,\n                    name,\n                    email,\n                    password,\n                    salt,\n                    role AS \"role: Role\",\n                    function AS \"function: Function\",\n                    areaId,\n                    locked,\n                    lastLogin,\n                    receiveNotifications\n                FROM user_\n                WHERE id = $1;\n            ",
  "describe": {
    "columns": [
      {
        "ordinal": 0,
        "name": "id",
        "type_info": "Int4"
      },
      {
        "ordinal": 1,
        "name": "name",
        "type_info": "Text"
      },
      {
        "ordinal": 2,
        "name": "email",
        "type_info": "Text"
      },
      {
        "ordinal": 3,
        "name": "password",
        "type_info": "Text"
      },
      {
        "ordinal": 4,
        "name": "salt",
        "type_info": "Text"
      },
      {
        "ordinal": 5,
        "name": "role: Role",
        "type_info": {
          "Custom": {
            "name": "role",
            "kind": {
              "Enum": [
                "staff",
                "areamanager",
                "admin"
              ]
            }
          }
        }
      },
      {
        "ordinal": 6,
        "name": "function: Function",
        "type_info": {
          "Custom": {
            "name": "function",
            "kind": {
              "Enum": [
                "posten",
                "fuehrungsassistent",
                "wachhabender"
              ]
            }
          }
        }
      },
      {
        "ordinal": 7,
        "name": "areaid",
        "type_info": "Int4"
      },
      {
        "ordinal": 8,
        "name": "locked",
        "type_info": "Bool"
      },
      {
        "ordinal": 9,
        "name": "lastlogin",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 10,
        "name": "receivenotifications",
        "type_info": "Bool"
      }
    ],
    "parameters": {
      "Left": [
        "Int4"
      ]
    },
    "nullable": [
      false,
      false,
      false,
      true,
      true,
      false,
      false,
      false,
      false,
      true,
      false
    ]
  },
  "hash": "3338639844455180fdc70262cb982042ee2ff5cc8ab0fd6101bf5d4182f58530"
}
